<?php
include("../sistem/cfg.dat");
include("../sistem/cfg_forum.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");



if(isset($_GET['param_member'])){$param_member = $_GET['param_member'];}

if($param_member = "new")
{
   echo'<div class="razd"><B>Популярные темы</B></div>';
   
   $str = file("../data/forum/new.dat");
   $str=array_reverse($str);//перевернули масив
   $nom=count($str);
   
   
   
   //начало новой навигации
   if(isset($_GET['nom_page']) && ($_GET['nom_page'] != "")){$nom_page = $_GET['nom_page'];}else{ $nom_page = "1"; }
   if(eregi("[^0-9]" , $nom_page )){ $nom_page = "1"; }
   $asd = $nom_page - 1;
   $i= $asd * $nav_forum_new;
   $var = $i+$nav_forum_new;
   if($nom < $i){ $i = 0; $var = $i+$nav_forum_new; $nom_page = "1";}
   
   
   while($i < $var)
   {
      if($i < $nom)
      {
      	  $tmp_945 = trim($str[$i]);
      	  
      	  $cfg_tem = file_get_contents("../data/forum/$tmp_945.tem");
          $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	  
      	  
      	  $cfg_razd = file_get_contents("../data/forum/$cfg_tem[1].razd");
          $cfg_razd = explode("<||>",$cfg_razd);
      	  
      	  echo'<div class="ramk">';
      	  echo'Раздел - <a href="temes.php?r='.$cfg_tem[1].'&amp;'.SID.'">'.$cfg_razd[0].'</a><br>';
      	  echo'Тема - <a href="topik.php?t='.$tmp_945.'&amp;'.SID.'">'.$cfg_tem[2].'</a><br>';
      	  echo'Последнее сообщение оставил - <a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$cfg_tem[5].'">'.$cfg_tem[5].'</a><br>';
      	  echo'</div>';
      }
      ++$i;
   }
   
   
   //конец новой навигации
   $kol_page = ceil($nom / $nav_forum_new);
   
   //навигация вперёд, назад
   if("1" < $nom_page)
   {
      $nom_previous_page = $nom_page - 1;
      echo '<a href="search.php?param_member=new&amp;nom_page='.$nom_previous_page.'&amp;'.SID.'">Назад</a>';
   }else{ echo 'Назад'; }
   echo'|';
   if($kol_page > $nom_page)
   {
      $nom_next_page = $nom_page + 1;
      echo '<a href="search.php?param_member=new&amp;nom_page='.$nom_next_page.'&amp;'.SID.'">Далее</a>';
   }else{ echo 'Далее'; }
   echo'<br>';
   
   //навигация по номерам страниц
   $a = $nom_page - 3;
   $b = $nom_page +3;
   
   if($a > 1)
   {
      echo'<a href="search.php?param_member=new&amp;nom_page=1&amp;'.SID.'">1</a> ';
      if($a > 2){ echo'... '; }
   }
   while($a <= $b)
   {
      if(($a > 0) && ($a <= $kol_page))
      {
         if($nom_page == $a)
         {
            echo'<b>('.$a.')</b> ';
         }else
         {
            echo'<a href="search.php?param_member=new&amp;nom_page='.$a.'&amp;'.SID.'">'.$a.'</a> ';
         }
      }
      ++$a;
   }
   if($b < $kol_page)
   {
      if($b < ($kol_page - 1)){ echo'... '; }
      echo'<a href="search.php?param_member=new&amp;nom_page='.$kol_page.'&amp;'.SID.'">'.$kol_page.'</a> ';
   }
   //конец вывода сообщений
   
   
   
   if($nom == "0")
   {
      echo'<br><B>Темы ещё не созданы!</B><br>';
   }
   
   ///////////////////Код для автоудаления старых постов
   if($nom >= "10000")//если записей больше 10000, то чистим:)
   {
         $str = file("../data/forum/new.dat");
         $nom=count($str);
         $file_new = fopen("../data/forum/new.dat", "w+");
         flock ($file_new,LOCK_EX);
         
         $i = "4999";//удаляем последние 5000 постов
         $var = $nom;
         while($i < $var)
         {
            fputs($file_new,$str[$i]);
            ++$i;
         }
         flock ($file_new,LOCK_UN);
         fclose($file_new);
         @chmod("../data/forum/new.dat", 0666);
   }
   echo'<br>';
}

if($param_member = "j")
{
   
}
echo'<hr size="2" width="100%">';
echo'<a href="index.php?'.SID.'">На форум</a><br>';
echo'<a href="../index.php?'.SID.'">На главную</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>